{% extends 'dashboard/dashboard_content.html' %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>

{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-archive"></i>
                Flexi Attendances marked for your courses
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">

            </div>
            <div>
                <form method="POST">{% csrf_token %}
                    <table class="table table-hover" style="table-layout:fixed">
                        <thead>
                        <tr>
                            <th style="word-wrap: break-word">S. No.</th>
                            <th style="word-wrap: break-word">Course</th>
                            <th style="word-wrap: break-word">Date</th>
                            <th style="word-wrap: break-word">Hour</th>
                            <th style="word-wrap: break-word">Approved?</th>
                        </tr>
                        </thead>
                        <tbody id="content">
                        {% for flexi_attendance in list_of_flexi_attendance_instances %}
                            <tr>
                                <td style="word-wrap: break-word">{{ forloop.counter }}</td>
                                <td style="word-wrap: break-word">{{ flexi_attendance.marked_course }}</td>
                                <td style="word-wrap: break-word">{{ flexi_attendance.attendance_date }}</td>
                                <td style="word-wrap: break-word">{{ flexi_attendance.attendance_hour }}</td>
                                <td style="word-wrap: break-word">{% if flexi_attendance.is_approved %}Yes{% else %}
                                    No{% endif %}</td>
                                <td>
                                    <button class="btn btn-danger" name="delete" value="{{ flexi_attendance.pk }}">Delete</button>
                                    <!--<input class="btn btn-danger" type="button" value="{{ flexi_attendance.pk }}" name="delete">-->
                                </td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>
{% endblock %}